Difference between revisions of "Debian Upgrades"

From Roaring Penguin
Jump to: navigation, search
Line 9: Line 9:
 
We currently provide packages for versions:
 
We currently provide packages for versions:
  
   5.x Lenny  ([http://debs.roaringpenguin.com/canit/appliance/dists/lenny CanIt packages] discontinued as of 10.1.5; Debian support ended February 2012)
+
   5.x Lenny  ([http://debs.roaringpenguin.com/canit/appliance/dists/lenny CanIt packages] discontinued as of 10.1.4; Debian support ended February 2012)
 
   6.x Squeeze ([http://debs.roaringpenguin.com/canit/appliance/dists/squeeze CanIt packages] still available; Debian support ended February 2016)
 
   6.x Squeeze ([http://debs.roaringpenguin.com/canit/appliance/dists/squeeze CanIt packages] still available; Debian support ended February 2016)
 
   7.x Wheezy  ([http://debs.roaringpenguin.com/canit/appliance/dists/wheezy CanIt packages] still available; Debian support ending May 2018)
 
   7.x Wheezy  ([http://debs.roaringpenguin.com/canit/appliance/dists/wheezy CanIt packages] still available; Debian support ending May 2018)
Line 27: Line 27:
 
===[https://www.roaringpenguin.com/wiki/index.php/Upgrade_to_Jessie Wheezy to Jessie]===
 
===[https://www.roaringpenguin.com/wiki/index.php/Upgrade_to_Jessie Wheezy to Jessie]===
  
===Jessie to Stretch===
+
===[https://www.roaringpenguin.com/wiki/index.php/Upgrade_to_Stretch Jessie to Stretch]===
 
 
Work in progress. Stretch support is expected with the next CanIt release. Upgrade instruction will follow.
 
  
 
=Migrating to a new appliance=
 
=Migrating to a new appliance=

Revision as of 15:14, 15 August 2017

Important!

Upgrades to Debian MUST be done one version at a time!

You can find your current version with the command:

 cat /etc/debian_version

We currently provide packages for versions:

 5.x Lenny   (CanIt packages discontinued as of 10.1.4; Debian support ended February 2012)
 6.x Squeeze (CanIt packages still available; Debian support ended February 2016)
 7.x Wheezy  (CanIt packages still available; Debian support ending May 2018)
 8.x Jessie  (Current stable CanIt appliance ISOs and CanIt packages; Debian support ending TBD)
 9.x Stretch (Experimental CanIt appliance ISOs and CanIt packages; Debian support ending TBD)

Distribution Upgrade Instructions

Our ISO installations provide a unified upgrade command which can be provided the target version codename in order to initiate a distribution upgrade. That said, each version change has specific extra steps to consider, such as upgrading the database and fixing problems with caused by the upgrade.

The instructions for each are provided below:

Lenny to Squeeze

Squeeze to Wheezy

Wheezy to Jessie

Jessie to Stretch

Migrating to a new appliance

If you need to upgrade multiple versions it can actually be faster and safer to simply build a new appliance with our current ISO then follow the migration instructions as documented in Chapter E.5 of the Administration Guide.

Upgrade and Migration Support

You may wish to contact Roaring Penguin support staff to have us perform the upgrade or migration on your behalf. Normally these arrangements are made within our regular working hours (9AM-5PM Eastern), so it is best to try to schedule at time that cause minimal disruption. Upgrades are typically fairly quick, only requiring somewhere between 5 and 20 minutes of downtime for each version. This will be longer if a database upgrade is required.